unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, ExtCtrls, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnClickMe: TButton;
    FlowPanel1: TFlowPanel;
    procedure btnClickMeClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FTarget: TButton;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.btnClickMeClick(Sender: TObject);
begin
  FTarget.Visible  := False;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  Button: TButton;
  i:      Integer;
begin
  Constraints.MinHeight := 300;
  Constraints.MaxHeight := 300;
  FlowPanel1.Anchors    := [akLeft] + [akRight] + [akTop] + [akBottom];
  FlowPanel1.Color      := clRed;
  for i := 0 to 20 do
  begin
    Button         := TButton.Create(FlowPanel1);
    Button.Parent  := FlowPanel1;
    Button.Caption := i.ToString;
    Button.Color   := $FF00AA + i * $BFF;
    if i = 6 then
    begin
      Button.Color := $00FF00;
      FTarget      := Button;
    end;
  end;
end;

end.
